Delete site pages
curl --request DELETE \
--url https://app.promptingco.com/api/v1/site/pages \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"productId": "<string>",
"pageIds": [
"<string>"
],
"productSlug": "<string>"
}
'const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({productId: '<string>', pageIds: ['<string>'], productSlug: '<string>'})
};
fetch('https://app.promptingco.com/api/v1/site/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/site/pages"
payload = {
"productId": "<string>",
"pageIds": ["<string>"],
"productSlug": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"data": {
"scope": {
"product": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
},
"deletedCount": 1,
"failedCount": 1,
"deleted": [
{
"id": "<string>",
"title": "<string>"
}
],
"failed": [
{
"id": "<string>",
"message": "<string>",
"slug": "<string>"
}
]
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Content
Delete site pages
Deprecated, will be removed in future versions. Please use DELETE /api/v1/content/ instead.
DELETE
/
api
/
v1
/
site
/
pages
Delete site pages
curl --request DELETE \
--url https://app.promptingco.com/api/v1/site/pages \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"productId": "<string>",
"pageIds": [
"<string>"
],
"productSlug": "<string>"
}
'const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({productId: '<string>', pageIds: ['<string>'], productSlug: '<string>'})
};
fetch('https://app.promptingco.com/api/v1/site/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/site/pages"
payload = {
"productId": "<string>",
"pageIds": ["<string>"],
"productSlug": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"data": {
"scope": {
"product": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
},
"deletedCount": 1,
"failedCount": 1,
"deleted": [
{
"id": "<string>",
"title": "<string>"
}
],
"failed": [
{
"id": "<string>",
"message": "<string>",
"slug": "<string>"
}
]
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Authorizations
apiKeyAuthbearerAuthcookieAuth
Organization-scoped API key. Available scopes:
- content:read: Read site pages, markdown content, and llms.txt files
- content:write: Create, update, and delete site pages and content
- prompts:read: Read prompts, topics, prompt suggestions, and prompt analysis results
- prompts:write: Create, update, archive prompts and generate, edit, or review prompt suggestions
- simulations:read: Read agent-simulation tasks, runs, environments, and analytics
- simulations:write: Create and trigger simulation runs
- logs:read: Read AI-traffic logs and request-level audit events
- analytics:read: Read analytics aggregates (rankings, mentions, sources, SOV)
- analytics:write: Write events to analytics
- products:read: Read product metadata and competitor data
- products:write: Update product settings and competitor lists
Body
application/json
- Option 1
- Option 2
Product ID. Provide exactly one of productId or productSlug in the request body (the server enforces this).
Minimum string length:
1Required array length:
1 - 50 elementsMinimum string length:
1Product slug. Provide exactly one of productId or productSlug in the request body (the server enforces this).
Minimum string length:
1